# MCS_Diagnostic Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Enumerations { e_dc_inconsistent_merge, e_dc_forbidden_PDU_downward, e_dc_forbidden_PDU_upward, e_dc_invalid_BER_encoding, e_dc_invalid_PER_encoding, e_dc_misrouted_user, e_dc_unrequested_confirm, e_dc_wrong_transport_priority, e_dc_channel_id_conflict, e_dc_token_id_conflict, e_dc_not_user_id_channel, e_dc_too_many_channels, e_dc_too_many_tokens, e_dc_too_many_users }

## Public Member Functions

| MCS_Diagnostic (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
MCS_Diagnostic & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_Diagnostic::Enumerations

Enumerator:

  e_dc_inconsistent_merge |
  e_dc_forbidden_PDU_downward |
  e_dc_forbidden_PDU_upward |
  e_dc_invalid_BER_encoding |
  e_dc_invalid_PER_encoding |
  e_dc_misrouted_user |
  e_dc_unrequested_confirm |
  e_dc_wrong_transport_priority |
  e_dc_channel_id_conflict |
  e_dc_token_id_conflict |
  e_dc_not_user_id_channel |
  e_dc_too_many_channels |
  e_dc_too_many_tokens |
  e_dc_too_many_users |

## Constructor & Destructor Documentation

MCS_Diagnostic::MCS_Diagnostic | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_Diagnostic& MCS_Diagnostic::operator= | ( | unsigned | v | ) |

PObject* MCS_Diagnostic::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h